apt-get update Problem nach upgrade auf debian 9

Warum Debian? Was muss ich vorher wissen? Wo geht's nach der Installation weiter?
Antworten
Jonac
Beiträge: 1
Registriert: 19.07.2019 13:57:25

apt-get update Problem nach upgrade auf debian 9

Beitrag von Jonac » 19.07.2019 14:05:12

Guten Tag,

Ich habe mein Debian Server heute morgen von debian 8 --> debian 9 geupdatet. Und zwar bekomme ich immer ein paar fehler, wenn ich den Befehl "apt-get update" ausführe. Ich hoffe, das sich das Problem schnell fixen lässt.

Gruß Jonax

Problem beim Befehl "apt-get update":

Code: Alles auswählen

Hit:1 http://security.debian.org stretch/updates InRelease
Hit:2 http://deb.debian.org/debian stable InRelease
Hit:3 http://ftp.debian.org/debian stretch-updates InRelease
Err:4 http://ppa.launchpad.net/webupd8team/... trusty InRelease
  403  Forbidden [IP: 91.189.95.83 80]
Hit:5 http://deb.debian.org/debian stable-updates InRelease
Ign:6 http://ftp.debian.org/debian stretch InRelease
Hit:7 http://ftp.debian.org/debian stretch Release
Ign:8 http://ppa.launchpad.net/mc3man/xerus-media/ubuntu eoan InRelease
Hit:9 https://download.mono-project.com/repo/debian stable-jessie InRelease
Hit:10 https://packages.sury.org/php stretch InRelease
Ign:11 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu jessie InRelease
Ign:12 http://ppa.launchpad.net/webupd8team/java/ubuntu jessie InRelease
Hit:13 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty InRelease
Ign:14 http://ppa.launchpad.net/webupd8team/java/ubuntu eoan InRelease
Err:15 http://ppa.launchpad.net/mc3man/xerus-media/ubuntu eoan Release
  404  Not Found [IP: 91.189.95.83 80]
Err:16 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu jessie Release
  404  Not Found [IP: 91.189.95.83 80]
Err:17 http://ppa.launchpad.net/webupd8team/java/ubuntu jessie Release
  404  Not Found [IP: 91.189.95.83 80]
Err:18 http://ppa.launchpad.net/webupd8team/java/ubuntu eoan Release
  404  Not Found [IP: 91.189.95.83 80]
Reading package lists... Done
E: Failed to fetch http://ppa.launchpad.net/webupd8team/.../dists/trusty/InRelease  403  Forbidden [IP: 91.189.95.83 80]
E: The repository 'http://ppa.launchpad.net/webupd8team/... trusty InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/mc3man/xerus-media/ubuntu eoan Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/openjdk-r/ppa/ubuntu jessie Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu jessie Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu eoan Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Hier ist noch meine source.list

Code: Alles auswählen

deb http://security.debian.org/ stretch/updates main
deb-src http://security.debian.org/ stretch/updates main
deb http://ftp.debian.org/debian/ stretch-updates main
deb-src http://ftp.debian.org/debian/ stretch-updates main
deb http://ftp.debian.org/debian/ stretch main
deb-src http://ftp.debian.org/debian/ stretch main
# deb http://ppa.launchpad.net/webupd8team/java/ubuntu stretch main
# deb http://ppa.launchpad.net/webupd8team/... trusty main
# deb http://ppa.launchpad.net/webupd8team/... trusty main
# deb http://ppa.launchpad.net/webupd8team/. trusty main
# deb http://ppa.launchpad.net/webupd8team/... trusty main
# deb http://ppa.launchpad.net/webupd8team/... trusty main
deb http://deb.debian.org/debian/ stable main contrib non-free
deb-src http://deb.debian.org/debian/ stable main contrib non-free
deb http://deb.debian.org/debian/ stable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stable-updates main contrib non-free
deb http://ppa.launchpad.net/webupd8team/... trusty main

Benutzeravatar
willy4711
Beiträge: 1958
Registriert: 08.09.2018 16:51:16

Re: apt-get update Problem nach upgrade auf debian 9

Beitrag von willy4711 » 19.07.2019 14:15:10

Dir ist aber schon klar, das Stretch nicht mehr stable ist ?
Stable ist jetzt Buster (debian 10).
Also erstmal deine sources.list auf stretch einstellen, und nochmal versuchen.

Außerdem stimmen die Fehlermeldungen nicht mit deiner uns vorgelegten sources.list überein.
Zuletzt geändert von willy4711 am 19.07.2019 14:19:45, insgesamt 1-mal geändert.

Benutzeravatar
towo
Beiträge: 3331
Registriert: 27.02.2007 19:49:44
Lizenz eigener Beiträge: GNU Free Documentation License

Re: apt-get update Problem nach upgrade auf debian 9

Beitrag von towo » 19.07.2019 14:18:51

Nuja, bei Ubuntu PPA's in den Sourcen würde ich gar nix weiter machen, außer das Ding vielleicht sauber neu aufsetzen.

guennid
Beiträge: 12987
Registriert: 31.10.2002 19:15:35
Lizenz eigener Beiträge: MIT Lizenz
Wohnort: bei Marburg

Re: apt-get update Problem nach upgrade auf debian 9

Beitrag von guennid » 19.07.2019 14:33:20

Und offenbar wieder ein exzellentes Franken-Debian. Fremdrepos, stable, stretch gehen munter durcheinander. Also entweder stable oder code-Namen. Mit stable kriegtest du zur Zeit buster. Willst du aber offenbar gar nicht. Auf der sichereren Seite ist man eh mit der Verwendung der Code-Namen, also buster statt stable oder stretch statt oldstable. Wie sich das dann mit den Paketen aus dem ubuntu-Repo mit dem halbjährlichen Wechsel verträgt, weiß ich nicht. Ich benutze ja auch ein paar wenige Fremdrepos, aber ubuntu in einer Debian-sources.list erscheint mir sinnfrei.

Und da das Kind offenbar bereits im Brunnen liegt:
Ich habe mein Debian Server heute morgen von debian 8 --> debian 9 upgedatet.
habe ich keine Ahnung, ob sich das nach einer Bereinigung der sources.list für dich noch reparieren lässt, siehe towo.

Grüße Günther

Antworten